From 283ee2b9559e5c39957eb07f916418d3dda3fcf5 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Thu, 2 Oct 2025 22:07:34 +0200
Subject: [PATCH 09/11] Upgrade ACPICA from 20211217 to 20250807.

---
 sys/conf/files                                |    1 +
 sys/contrib/dev/acpica/changes.txt            |  327 +++-
 .../dev/acpica/generate/release/build.sh      |    2 +-
 .../dev/acpica/generate/unix/Makefile.config  |   16 +-
 .../acpica/generate/unix/acpidump/Makefile    |    1 +
 .../generate/unix/acpiexamples/Makefile       |    1 +
 .../acpica/generate/unix/acpiexec/Makefile    |    3 +
 .../dev/acpica/generate/unix/iasl/Makefile    |   23 +-
 .../dev/acpica/source/common/acfileio.c       |  133 +-
 .../dev/acpica/source/common/acgetline.c      |    2 +-
 sys/contrib/dev/acpica/source/common/adfile.c |    2 +-
 .../dev/acpica/source/common/adisasm.c        |   21 +-
 sys/contrib/dev/acpica/source/common/adwalk.c |    2 +-
 sys/contrib/dev/acpica/source/common/ahids.c  |    2 +-
 .../dev/acpica/source/common/ahpredef.c       |    3 +-
 .../dev/acpica/source/common/ahtable.c        |   11 +-
 .../dev/acpica/source/common/ahuuids.c        |    5 +-
 .../dev/acpica/source/common/cmfsize.c        |    2 +-
 .../dev/acpica/source/common/dmextern.c       |   10 +-
 .../dev/acpica/source/common/dmrestag.c       |   13 +-
 .../dev/acpica/source/common/dmswitch.c       |    2 +-
 .../dev/acpica/source/common/dmtable.c        |  465 +++--
 .../dev/acpica/source/common/dmtables.c       |   18 +-
 .../dev/acpica/source/common/dmtbdump.c       |   22 +-
 .../dev/acpica/source/common/dmtbdump1.c      |  783 +++++++-
 .../dev/acpica/source/common/dmtbdump2.c      | 1293 ++++++++-----
 .../dev/acpica/source/common/dmtbdump3.c      |   10 +-
 .../dev/acpica/source/common/dmtbinfo.c       |    2 +-
 .../dev/acpica/source/common/dmtbinfo1.c      |  602 +++++-
 .../dev/acpica/source/common/dmtbinfo2.c      |  883 ++++++---
 .../dev/acpica/source/common/dmtbinfo3.c      |   42 +-
 sys/contrib/dev/acpica/source/common/getopt.c |    2 +-
 .../dev/acpica/source/compiler/aslallocate.c  |    8 +-
 .../dev/acpica/source/compiler/aslanalyze.c   |   18 +-
 .../dev/acpica/source/compiler/aslascii.c     |    2 +-
 .../dev/acpica/source/compiler/aslbtypes.c    |    5 +-
 .../dev/acpica/source/compiler/aslcache.c     |    5 +-
 .../dev/acpica/source/compiler/aslcodegen.c   |   77 +-
 .../dev/acpica/source/compiler/aslcompile.c   |   35 +-
 .../dev/acpica/source/compiler/aslcompiler.h  |   18 +-
 .../dev/acpica/source/compiler/aslcompiler.l  |   17 +-
 .../dev/acpica/source/compiler/aslcstyle.y    |    2 +-
 .../dev/acpica/source/compiler/asldebug.c     |    2 +-
 .../dev/acpica/source/compiler/asldefine.h    |    4 +-
 .../dev/acpica/source/compiler/aslerror.c     |    4 +-
 .../dev/acpica/source/compiler/aslexternal.c  |    2 +-
 .../dev/acpica/source/compiler/aslfileio.c    |    2 +-
 .../dev/acpica/source/compiler/aslfiles.c     |    6 +-
 .../dev/acpica/source/compiler/aslfold.c      |    2 +-
 .../dev/acpica/source/compiler/aslglobal.h    |    3 +-
 .../dev/acpica/source/compiler/aslhelp.c      |    4 +-
 .../dev/acpica/source/compiler/aslhelpers.y   |    2 +-
 .../dev/acpica/source/compiler/aslhex.c       |    2 +-
 .../dev/acpica/source/compiler/aslkeywords.y  |   13 +-
 .../dev/acpica/source/compiler/asllength.c    |    2 +-
 .../dev/acpica/source/compiler/asllisting.c   |    2 +-
 .../dev/acpica/source/compiler/asllistsup.c   |    2 +-
 .../dev/acpica/source/compiler/aslload.c      |    2 +-
 .../dev/acpica/source/compiler/asllookup.c    |    2 +-
 .../dev/acpica/source/compiler/aslmain.c      |    4 +-
 .../dev/acpica/source/compiler/aslmap.c       |   15 +-
 .../dev/acpica/source/compiler/aslmapenter.c  |    2 +-
 .../dev/acpica/source/compiler/aslmapoutput.c |    2 +-
 .../dev/acpica/source/compiler/aslmaputils.c  |    2 +-
 .../dev/acpica/source/compiler/aslmessages.c  |    5 +-
 .../dev/acpica/source/compiler/aslmessages.h  |    2 +-
 .../dev/acpica/source/compiler/aslmethod.c    |    8 +-
 .../dev/acpica/source/compiler/aslnamesp.c    |    2 +-
 .../dev/acpica/source/compiler/asloffset.c    |    2 +-
 .../dev/acpica/source/compiler/aslopcodes.c   |    2 +-
 .../dev/acpica/source/compiler/asloperands.c  |    8 +-
 .../dev/acpica/source/compiler/aslopt.c       |    2 +-
 .../dev/acpica/source/compiler/asloptions.c   |   39 +-
 .../dev/acpica/source/compiler/aslparseop.c   |    8 +-
 .../dev/acpica/source/compiler/aslparser.y    |    4 +-
 .../dev/acpica/source/compiler/aslpld.c       |    2 +-
 .../dev/acpica/source/compiler/aslpredef.c    |    4 +-
 .../dev/acpica/source/compiler/aslprepkg.c    |    2 +-
 .../dev/acpica/source/compiler/aslprimaries.y |    4 +-
 .../dev/acpica/source/compiler/aslprintf.c    |    6 +-
 .../dev/acpica/source/compiler/aslprune.c     |    2 +-
 .../dev/acpica/source/compiler/aslresource.c  |   23 +-
 .../dev/acpica/source/compiler/aslresources.y |   63 +-
 .../dev/acpica/source/compiler/aslrestype1.c  |    2 +-
 .../dev/acpica/source/compiler/aslrestype1i.c |    2 +-
 .../dev/acpica/source/compiler/aslrestype2.c  |    2 +-
 .../dev/acpica/source/compiler/aslrestype2d.c |  159 +-
 .../dev/acpica/source/compiler/aslrestype2e.c |    2 +-
 .../dev/acpica/source/compiler/aslrestype2q.c |  158 +-
 .../dev/acpica/source/compiler/aslrestype2s.c |  131 +-
 .../dev/acpica/source/compiler/aslrestype2w.c |  158 +-
 .../dev/acpica/source/compiler/aslrules.y     |    8 +-
 .../dev/acpica/source/compiler/aslstartup.c   |    4 +-
 .../dev/acpica/source/compiler/aslstubs.c     |    2 +-
 .../dev/acpica/source/compiler/aslsupport.l   |    4 +-
 .../dev/acpica/source/compiler/aslsupport.y   |    2 +-
 .../dev/acpica/source/compiler/asltokens.y    |   11 +-
 .../dev/acpica/source/compiler/asltransform.c |    2 +-
 .../dev/acpica/source/compiler/asltree.c      |    5 +-
 .../dev/acpica/source/compiler/asltypes.h     |    4 +-
 .../dev/acpica/source/compiler/asltypes.y     |   10 +-
 .../dev/acpica/source/compiler/aslutils.c     |    8 +-
 .../dev/acpica/source/compiler/asluuid.c      |    2 +-
 .../dev/acpica/source/compiler/aslwalks.c     |    2 +-
 .../dev/acpica/source/compiler/aslxref.c      |    2 +-
 .../dev/acpica/source/compiler/aslxrefout.c   |    2 +-
 .../dev/acpica/source/compiler/cvcompiler.c   |    2 +-
 .../dev/acpica/source/compiler/cvdisasm.c     |    2 +-
 .../dev/acpica/source/compiler/cvparser.c     |    2 +-
 .../dev/acpica/source/compiler/dtcompile.c    |   44 +-
 .../dev/acpica/source/compiler/dtcompiler.h   |   53 +-
 .../acpica/source/compiler/dtcompilerparser.l |    2 +-
 .../acpica/source/compiler/dtcompilerparser.y |    2 +-
 .../dev/acpica/source/compiler/dtexpress.c    |    7 +-
 .../dev/acpica/source/compiler/dtfield.c      |   12 +-
 sys/contrib/dev/acpica/source/compiler/dtio.c |   10 +-
 .../dev/acpica/source/compiler/dtparser.l     |    2 +-
 .../dev/acpica/source/compiler/dtparser.y     |    2 +-
 .../dev/acpica/source/compiler/dtsubtable.c   |    2 +-
 .../dev/acpica/source/compiler/dttable.c      |    2 +-
 .../dev/acpica/source/compiler/dttable1.c     | 1204 +++++++++++-
 .../dev/acpica/source/compiler/dttable2.c     | 1080 ++++++-----
 .../dev/acpica/source/compiler/dttemplate.c   |   26 +-
 .../dev/acpica/source/compiler/dttemplate.h   |  837 +++++++--
 .../dev/acpica/source/compiler/dtutils.c      |   48 +-
 .../dev/acpica/source/compiler/preprocess.h   |   11 +-
 .../dev/acpica/source/compiler/prexpress.c    |    2 +-
 .../dev/acpica/source/compiler/prmacros.c     |   58 +-
 .../dev/acpica/source/compiler/prparser.l     |    2 +-
 .../dev/acpica/source/compiler/prparser.y     |    2 +-
 .../dev/acpica/source/compiler/prscan.c       |    9 +-
 .../dev/acpica/source/compiler/prutils.c      |  264 ++-
 .../source/components/debugger/dbcmds.c       |   60 +-
 .../source/components/debugger/dbconvert.c    |    4 +-
 .../source/components/debugger/dbdisply.c     |    2 +-
 .../source/components/debugger/dbexec.c       |    2 +-
 .../source/components/debugger/dbfileio.c     |    2 +-
 .../source/components/debugger/dbhistry.c     |    2 +-
 .../source/components/debugger/dbinput.c      |   10 +-
 .../source/components/debugger/dbmethod.c     |    2 +-
 .../source/components/debugger/dbnames.c      |   12 +-
 .../source/components/debugger/dbobject.c     |    2 +-
 .../source/components/debugger/dbstats.c      |    2 +-
 .../source/components/debugger/dbtest.c       |    2 +-
 .../source/components/debugger/dbutils.c      |    2 +-
 .../source/components/debugger/dbxface.c      |    2 +-
 .../source/components/disassembler/dmbuffer.c |    2 +-
 .../source/components/disassembler/dmcstyle.c |    2 +-
 .../components/disassembler/dmdeferred.c      |    2 +-
 .../source/components/disassembler/dmnames.c  |    2 +-
 .../source/components/disassembler/dmopcode.c |    2 +-
 .../source/components/disassembler/dmresrc.c  |    3 +-
 .../source/components/disassembler/dmresrcl.c |    2 +-
 .../components/disassembler/dmresrcl2.c       |   44 +-
 .../source/components/disassembler/dmresrcs.c |    2 +-
 .../source/components/disassembler/dmutils.c  |    2 +-
 .../source/components/disassembler/dmwalk.c   |   14 +-
 .../source/components/dispatcher/dsargs.c     |    2 +-
 .../source/components/dispatcher/dscontrol.c  |    2 +-
 .../source/components/dispatcher/dsdebug.c    |    2 +-
 .../source/components/dispatcher/dsfield.c    |    2 +-
 .../source/components/dispatcher/dsinit.c     |    2 +-
 .../source/components/dispatcher/dsmethod.c   |   41 +-
 .../source/components/dispatcher/dsmthdat.c   |    3 +-
 .../source/components/dispatcher/dsobject.c   |    2 +-
 .../source/components/dispatcher/dsopcode.c   |    2 +-
 .../source/components/dispatcher/dspkginit.c  |    2 +-
 .../source/components/dispatcher/dsutils.c    |   11 +-
 .../source/components/dispatcher/dswexec.c    |   10 +-
 .../source/components/dispatcher/dswload.c    |    2 +-
 .../source/components/dispatcher/dswload2.c   |    2 +-
 .../source/components/dispatcher/dswscope.c   |    2 +-
 .../source/components/dispatcher/dswstate.c   |   15 +-
 .../acpica/source/components/events/evevent.c |    2 +-
 .../acpica/source/components/events/evglock.c |    7 +-
 .../acpica/source/components/events/evgpe.c   |    2 +-
 .../source/components/events/evgpeblk.c       |    2 +-
 .../source/components/events/evgpeinit.c      |    3 +-
 .../source/components/events/evgpeutil.c      |    2 +-
 .../source/components/events/evhandler.c      |    2 +-
 .../acpica/source/components/events/evmisc.c  |    2 +-
 .../source/components/events/evregion.c       |   24 +-
 .../source/components/events/evrgnini.c       |    2 +-
 .../acpica/source/components/events/evsci.c   |    2 +-
 .../acpica/source/components/events/evxface.c |    2 +-
 .../source/components/events/evxfevnt.c       |    2 +-
 .../acpica/source/components/events/evxfgpe.c |    4 +-
 .../source/components/events/evxfregn.c       |  104 +-
 .../source/components/executer/exconcat.c     |    2 +-
 .../source/components/executer/exconfig.c     |   61 +-
 .../source/components/executer/exconvrt.c     |   60 +-
 .../source/components/executer/excreate.c     |    2 +-
 .../source/components/executer/exdebug.c      |    2 +-
 .../source/components/executer/exdump.c       |    2 +-
 .../source/components/executer/exfield.c      |    8 +-
 .../source/components/executer/exfldio.c      |    4 +-
 .../source/components/executer/exmisc.c       |    2 +-
 .../source/components/executer/exmutex.c      |    2 +-
 .../source/components/executer/exnames.c      |    2 +-
 .../source/components/executer/exoparg1.c     |   22 +-
 .../source/components/executer/exoparg2.c     |    2 +-
 .../source/components/executer/exoparg3.c     |    2 +-
 .../source/components/executer/exoparg6.c     |    2 +-
 .../source/components/executer/exprep.c       |    6 +-
 .../source/components/executer/exregion.c     |   25 +-
 .../source/components/executer/exresnte.c     |    2 +-
 .../source/components/executer/exresolv.c     |    2 +-
 .../source/components/executer/exresop.c      |    2 +-
 .../source/components/executer/exserial.c     |   17 +-
 .../source/components/executer/exstore.c      |    2 +-
 .../source/components/executer/exstoren.c     |    2 +-
 .../source/components/executer/exstorob.c     |    2 +-
 .../source/components/executer/exsystem.c     |   31 +-
 .../source/components/executer/extrace.c      |   68 +-
 .../source/components/executer/exutils.c      |    2 +-
 .../source/components/hardware/hwacpi.c       |    2 +-
 .../source/components/hardware/hwesleep.c     |    2 +-
 .../acpica/source/components/hardware/hwgpe.c |    2 +-
 .../acpica/source/components/hardware/hwpci.c |    2 +-
 .../source/components/hardware/hwregs.c       |    4 +-
 .../source/components/hardware/hwsleep.c      |    2 +-
 .../source/components/hardware/hwtimer.c      |    2 +-
 .../source/components/hardware/hwvalid.c      |   10 +-
 .../source/components/hardware/hwxface.c      |    2 +-
 .../source/components/hardware/hwxfsleep.c    |   17 +-
 .../source/components/namespace/nsaccess.c    |    2 +-
 .../source/components/namespace/nsalloc.c     |    2 +-
 .../source/components/namespace/nsarguments.c |    2 +-
 .../source/components/namespace/nsconvert.c   |    2 +-
 .../source/components/namespace/nsdump.c      |    2 +-
 .../source/components/namespace/nsdumpdv.c    |    2 +-
 .../source/components/namespace/nseval.c      |    2 +-
 .../source/components/namespace/nsinit.c      |    2 +-
 .../source/components/namespace/nsload.c      |    2 +-
 .../source/components/namespace/nsnames.c     |    4 +-
 .../source/components/namespace/nsobject.c    |    2 +-
 .../source/components/namespace/nsparse.c     |    2 +-
 .../source/components/namespace/nspredef.c    |    2 +-
 .../source/components/namespace/nsprepkg.c    |    2 +-
 .../source/components/namespace/nsrepair.c    |   16 +-
 .../source/components/namespace/nsrepair2.c   |   13 +-
 .../source/components/namespace/nssearch.c    |    2 +-
 .../source/components/namespace/nsutils.c     |    4 +-
 .../source/components/namespace/nswalk.c      |    6 +-
 .../source/components/namespace/nsxfeval.c    |    2 +-
 .../source/components/namespace/nsxfname.c    |    4 +-
 .../source/components/namespace/nsxfobj.c     |    2 +-
 .../acpica/source/components/parser/psargs.c  |   58 +-
 .../acpica/source/components/parser/psloop.c  |    2 +-
 .../source/components/parser/psobject.c       |   46 +-
 .../source/components/parser/psopcode.c       |    6 +-
 .../source/components/parser/psopinfo.c       |    8 +-
 .../acpica/source/components/parser/psparse.c |    2 +-
 .../acpica/source/components/parser/psscope.c |    2 +-
 .../acpica/source/components/parser/pstree.c  |    2 +-
 .../acpica/source/components/parser/psutils.c |    2 +-
 .../acpica/source/components/parser/pswalk.c  |    2 +-
 .../acpica/source/components/parser/psxface.c |    2 +-
 .../source/components/resources/rsaddr.c      |    9 +-
 .../source/components/resources/rscalc.c      |   18 +-
 .../source/components/resources/rscreate.c    |    2 +-
 .../source/components/resources/rsdump.c      |    5 +-
 .../source/components/resources/rsdumpinfo.c  |   13 +-
 .../source/components/resources/rsinfo.c      |    7 +-
 .../acpica/source/components/resources/rsio.c |    2 +-
 .../source/components/resources/rsirq.c       |    2 +-
 .../source/components/resources/rslist.c      |    2 +-
 .../source/components/resources/rsmemory.c    |    2 +-
 .../source/components/resources/rsmisc.c      |   11 +-
 .../source/components/resources/rsserial.c    |   46 +-
 .../source/components/resources/rsutils.c     |    2 +-
 .../source/components/resources/rsxface.c     |    2 +-
 .../acpica/source/components/tables/tbdata.c  |    4 +-
 .../acpica/source/components/tables/tbfadt.c  |   33 +-
 .../acpica/source/components/tables/tbfind.c  |    6 +-
 .../source/components/tables/tbinstal.c       |    2 +-
 .../acpica/source/components/tables/tbprint.c |  101 +-
 .../acpica/source/components/tables/tbutils.c |   21 +-
 .../acpica/source/components/tables/tbxface.c |    2 +-
 .../source/components/tables/tbxfload.c       |    2 +-
 .../source/components/tables/tbxfroot.c       |   34 +-
 .../source/components/utilities/utaddress.c   |    2 +-
 .../source/components/utilities/utalloc.c     |    2 +-
 .../source/components/utilities/utascii.c     |    2 +-
 .../source/components/utilities/utbuffer.c    |    2 +-
 .../source/components/utilities/utcache.c     |    6 +-
 .../source/components/utilities/utcksum.c     |  335 ++++
 .../source/components/utilities/utclib.c      |    2 +-
 .../source/components/utilities/utcopy.c      |    2 +-
 .../source/components/utilities/utdebug.c     |   12 +-
 .../source/components/utilities/utdecode.c    |    2 +-
 .../source/components/utilities/utdelete.c    |    8 +-
 .../source/components/utilities/uterror.c     |    2 +-
 .../source/components/utilities/uteval.c      |    2 +-
 .../source/components/utilities/utexcep.c     |    2 +-
 .../source/components/utilities/utglobal.c    |    2 +-
 .../source/components/utilities/uthex.c       |    2 +-
 .../source/components/utilities/utids.c       |    2 +-
 .../source/components/utilities/utinit.c      |    4 +-
 .../source/components/utilities/utlock.c      |    2 +-
 .../source/components/utilities/utmath.c      |    2 +-
 .../source/components/utilities/utmisc.c      |    2 +-
 .../source/components/utilities/utmutex.c     |    2 +-
 .../source/components/utilities/utnonansi.c   |    2 +-
 .../source/components/utilities/utobject.c    |    2 +-
 .../source/components/utilities/utosi.c       |    4 +-
 .../source/components/utilities/utownerid.c   |    2 +-
 .../source/components/utilities/utpredef.c    |    2 +-
 .../source/components/utilities/utprint.c     |   10 +-
 .../source/components/utilities/utresdecode.c |   15 +-
 .../source/components/utilities/utresrc.c     |    5 +-
 .../source/components/utilities/utstate.c     |    2 +-
 .../source/components/utilities/utstring.c    |   12 +-
 .../source/components/utilities/utstrsuppt.c  |    2 +-
 .../source/components/utilities/utstrtoul64.c |    2 +-
 .../source/components/utilities/uttrack.c     |    2 +-
 .../source/components/utilities/utuuid.c      |    2 +-
 .../source/components/utilities/utxface.c     |    2 +-
 .../source/components/utilities/utxferror.c   |    2 +-
 .../source/components/utilities/utxfinit.c    |   30 +-
 .../source/components/utilities/utxfmutex.c   |    2 +-
 .../dev/acpica/source/include/acapps.h        |    4 +-
 .../dev/acpica/source/include/acbuffer.h      |    2 +-
 .../dev/acpica/source/include/acclib.h        |    2 +-
 .../dev/acpica/source/include/accommon.h      |    2 +-
 .../dev/acpica/source/include/acconfig.h      |    5 +-
 .../dev/acpica/source/include/acconvert.h     |    2 +-
 .../dev/acpica/source/include/acdebug.h       |    6 +-
 .../dev/acpica/source/include/acdisasm.h      |  184 +-
 .../dev/acpica/source/include/acdispat.h      |    2 +-
 .../dev/acpica/source/include/acevents.h      |    2 +-
 .../dev/acpica/source/include/acexcep.h       |   11 +-
 .../dev/acpica/source/include/acglobal.h      |   10 +-
 .../dev/acpica/source/include/achware.h       |    2 +-
 .../dev/acpica/source/include/acinterp.h      |    6 +-
 .../dev/acpica/source/include/aclocal.h       |   40 +-
 .../dev/acpica/source/include/acmacros.h      |    2 +-
 .../dev/acpica/source/include/acnames.h       |    3 +-
 .../dev/acpica/source/include/acnamesp.h      |    2 +-
 .../dev/acpica/source/include/acobject.h      |   84 +-
 .../dev/acpica/source/include/acopcode.h      |    2 +-
 .../dev/acpica/source/include/acoutput.h      |    7 +-
 .../dev/acpica/source/include/acparser.h      |    2 +-
 sys/contrib/dev/acpica/source/include/acpi.h  |    2 +-
 .../dev/acpica/source/include/acpiosxf.h      |    2 +-
 .../dev/acpica/source/include/acpixf.h        |   29 +-
 .../dev/acpica/source/include/acpredef.h      |    7 +-
 .../dev/acpica/source/include/acresrc.h       |    4 +-
 .../dev/acpica/source/include/acrestyp.h      |   41 +-
 .../dev/acpica/source/include/acstruct.h      |    2 +-
 .../dev/acpica/source/include/actables.h      |   12 +-
 .../dev/acpica/source/include/actbinfo.h      |  111 +-
 sys/contrib/dev/acpica/source/include/actbl.h |   20 +-
 .../dev/acpica/source/include/actbl1.h        |  376 +++-
 .../dev/acpica/source/include/actbl2.h        | 1638 ++++++++++++++---
 .../dev/acpica/source/include/actbl3.h        |   42 +-
 .../dev/acpica/source/include/actypes.h       |   52 +-
 .../dev/acpica/source/include/acutils.h       |   29 +-
 .../dev/acpica/source/include/acuuid.h        |    5 +-
 .../dev/acpica/source/include/amlcode.h       |    2 +-
 .../dev/acpica/source/include/amlresrc.h      |   34 +-
 .../acpica/source/include/platform/accygwin.h |    2 +-
 .../source/include/platform/acdragonfly.h     |   11 +-
 .../source/include/platform/acdragonflyex.h   |    2 +-
 .../acpica/source/include/platform/acefi.h    |    2 +-
 .../acpica/source/include/platform/acefiex.h  |    4 +-
 .../acpica/source/include/platform/acenv.h    |   10 +-
 .../acpica/source/include/platform/acenvex.h  |    2 +-
 .../source/include/platform/acfreebsd.h       |    6 +-
 .../acpica/source/include/platform/acgcc.h    |   23 +-
 .../acpica/source/include/platform/acgccex.h  |    2 +-
 .../acpica/source/include/platform/achaiku.h  |   11 +-
 .../acpica/source/include/platform/acintel.h  |    2 +-
 .../acpica/source/include/platform/aclinux.h  |   13 +-
 .../source/include/platform/aclinuxex.h       |    2 +-
 .../acpica/source/include/platform/acmacosx.h |    2 +-
 .../acpica/source/include/platform/acmsvc.h   |    2 +-
 .../acpica/source/include/platform/acmsvcex.h |    2 +-
 .../acpica/source/include/platform/acnetbsd.h |    2 +-
 .../acpica/source/include/platform/acos2.h    |    2 +-
 .../acpica/source/include/platform/acqnx.h    |    2 +-
 .../acpica/source/include/platform/acwin.h    |   13 +-
 .../acpica/source/include/platform/acwin64.h  |    2 +-
 .../acpica/source/include/platform/aczephyr.h |  199 ++
 .../os_specific/service_layers/osbsdtbl.c     |    2 +-
 .../os_specific/service_layers/osgendbg.c     |    2 +-
 .../os_specific/service_layers/oslinuxtbl.c   |    8 +-
 .../os_specific/service_layers/osunixdir.c    |    2 +-
 .../os_specific/service_layers/osunixmap.c    |    2 +-
 .../os_specific/service_layers/osunixxf.c     |    2 +-
 .../os_specific/service_layers/oswindir.c     |    2 +-
 .../os_specific/service_layers/oswintbl.c     |    2 +-
 .../os_specific/service_layers/oswinxf.c      |    2 +-
 .../os_specific/service_layers/oszephyr.c     | 1154 ++++++++++++
 .../acpica/source/tools/acpibin/abcompare.c   |    2 +-
 .../dev/acpica/source/tools/acpibin/abmain.c  |    2 +-
 .../dev/acpica/source/tools/acpibin/acpibin.h |    2 +-
 .../acpica/source/tools/acpidump/acpidump.h   |    2 +-
 .../dev/acpica/source/tools/acpidump/apdump.c |    6 +-
 .../acpica/source/tools/acpidump/apfiles.c    |    2 +-
 .../dev/acpica/source/tools/acpidump/apmain.c |    2 +-
 .../acpica/source/tools/acpiexec/aecommon.h   |    2 +-
 .../source/tools/acpiexec/aeexception.c       |    6 +-
 .../dev/acpica/source/tools/acpiexec/aeexec.c |    2 +-
 .../acpica/source/tools/acpiexec/aehandlers.c |    2 +-
 .../acpica/source/tools/acpiexec/aeinitfile.c |    2 +-
 .../acpica/source/tools/acpiexec/aeinstall.c  |  120 +-
 .../dev/acpica/source/tools/acpiexec/aemain.c |    2 +-
 .../acpica/source/tools/acpiexec/aeregion.c   |    2 +-
 .../acpica/source/tools/acpiexec/aetables.c   |   12 +-
 .../acpica/source/tools/acpiexec/aetables.h   |    2 +-
 .../acpica/source/tools/acpiexec/aetests.c    |    2 +-
 .../acpica/source/tools/acpihelp/acpihelp.h   |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahaml.c  |    2 +-
 .../acpica/source/tools/acpihelp/ahamlops.c   |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahasl.c  |    2 +-
 .../acpica/source/tools/acpihelp/ahaslkey.c   |    2 +-
 .../acpica/source/tools/acpihelp/ahaslops.c   |    2 +-
 .../acpica/source/tools/acpihelp/ahdecode.c   |    2 +-
 .../acpica/source/tools/acpihelp/ahgrammar.c  |    2 +-
 .../dev/acpica/source/tools/acpihelp/ahmain.c |    4 +-
 .../dev/acpica/source/tools/acpisrc/acpisrc.h |    2 +-
 .../dev/acpica/source/tools/acpisrc/ascase.c  |    2 +-
 .../acpica/source/tools/acpisrc/asconvrt.c    |   72 +-
 .../dev/acpica/source/tools/acpisrc/asfile.c  |    2 +-
 .../dev/acpica/source/tools/acpisrc/asmain.c  |    2 +-
 .../acpica/source/tools/acpisrc/asremove.c    |    2 +-
 .../dev/acpica/source/tools/acpisrc/astable.c |   80 +-
 .../dev/acpica/source/tools/acpisrc/asutils.c |    2 +-
 .../source/tools/acpixtract/acpixtract.c      |   10 +-
 .../source/tools/acpixtract/acpixtract.h      |    2 +-
 .../acpica/source/tools/acpixtract/axmain.c   |    2 +-
 .../acpica/source/tools/acpixtract/axutils.c  |    4 +-
 .../acpica/source/tools/efihello/efihello.c   |    2 +-
 .../acpica/source/tools/examples/examples.c   |    2 +-
 .../acpica/source/tools/examples/examples.h   |    2 +-
 .../acpica/source/tools/examples/exstubs.c    |    2 +-
 .../acpica/source/tools/examples/extables.c   |   10 +-
 sys/dev/acpica/Makefile                       |    2 +-
 usr.sbin/acpi/acpidump/Makefile               |    1 +
 usr.sbin/acpi/acpiexec/Makefile               |    1 +
 usr.sbin/acpi/iasl/Makefile                   |    1 +
 usr.sbin/acpi/iasl/iasl.8                     |    6 +-
 443 files changed, 12854 insertions(+), 3230 deletions(-)
 create mode 100644 sys/contrib/dev/acpica/source/components/utilities/utcksum.c
 create mode 100644 sys/contrib/dev/acpica/source/include/platform/aczephyr.h
 create mode 100644 sys/contrib/dev/acpica/source/os_specific/service_layers/oszephyr.c

diff --git a/sys/conf/files b/sys/conf/files
index 57f566007a..a0bbcc7a2e 100644
--- a/sys/conf/files
+++ b/sys/conf/files
@@ -2807,6 +2807,7 @@ ${ACPICA_COMP_DIR}/utilities/utaddress.c	optional acpi
 ${ACPICA_COMP_DIR}/utilities/utalloc.c		optional acpi
 ${ACPICA_COMP_DIR}/utilities/utascii.c		optional acpi
 ${ACPICA_COMP_DIR}/utilities/utbuffer.c		optional acpi
+${ACPICA_COMP_DIR}/utilities/utcksum.c		optional acpi
 ${ACPICA_COMP_DIR}/utilities/utcopy.c		optional acpi
 ${ACPICA_COMP_DIR}/utilities/utdebug.c		optional acpi
 ${ACPICA_COMP_DIR}/utilities/utdecode.c		optional acpi
diff --git a/sys/contrib/dev/acpica/generate/release/build.sh b/sys/contrib/dev/acpica/generate/release/build.sh
index ba73227dd6..3e6d944032 100644
--- a/sys/contrib/dev/acpica/generate/release/build.sh
+++ b/sys/contrib/dev/acpica/generate/release/build.sh
@@ -38,7 +38,7 @@
 # Configuration
 
 ZIP_UTILITY="/cygdrive/c/windows/pkzip25.exe"
-ACPISRC="libraries/acpisrc.exe"
+ACPISRC="libraries/acpisrc_dbg.exe"
 DOS2UNIX="dos2unix"
 UNIX2DOS="unix2dos"
 
diff --git a/sys/contrib/dev/acpica/generate/unix/acpidump/Makefile b/sys/contrib/dev/acpica/generate/unix/acpidump/Makefile
index 292eec7127..ac6ee9b6de 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpidump/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpidump/Makefile
@@ -40,6 +40,7 @@ OBJECTS = \
 	$(OBJDIR)/tbxfroot.o\
 	$(OBJDIR)/utascii.o\
 	$(OBJDIR)/utbuffer.o\
+	$(OBJDIR)/utcksum.o\
 	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utexcep.o\
 	$(OBJDIR)/utglobal.o\
diff --git a/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile b/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
index 0f23c88de3..5a3d508f8b 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpiexamples/Makefile
@@ -135,6 +135,7 @@ OBJECTS = \
 	$(OBJDIR)/utascii.o\
 	$(OBJDIR)/utbuffer.o\
 	$(OBJDIR)/utcache.o\
+	$(OBJDIR)/utcksum.o\
 	$(OBJDIR)/utcopy.o\
 	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utdecode.o\
diff --git a/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile b/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
index 660afa9397..9e58526142 100644
--- a/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/acpiexec/Makefile
@@ -210,6 +210,7 @@ OBJECTS = \
 	$(OBJDIR)/utascii.o\
 	$(OBJDIR)/utbuffer.o\
 	$(OBJDIR)/utcache.o\
+	$(OBJDIR)/utcksum.o\
 	$(OBJDIR)/utcopy.o\
 	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utdecode.o\
@@ -261,9 +262,11 @@ endif
 
 ifneq ($(ACPI_HOST),_APPLE)
 ifneq ($(ACPI_HOST),_QNX)
+ifneq ($(ACPI_HOST),_HAIKU)
 LDFLAGS += -lrt
 endif
 endif
+endif
 
 #
 # Common Rules
diff --git a/sys/contrib/dev/acpica/generate/unix/iasl/Makefile b/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
index 47ea73caba..8fde63d46c 100644
--- a/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
+++ b/sys/contrib/dev/acpica/generate/unix/iasl/Makefile
@@ -221,6 +221,7 @@ OBJECTS = \
 	$(OBJDIR)/utascii.o\
 	$(OBJDIR)/utbuffer.o\
 	$(OBJDIR)/utcache.o\
+	$(OBJDIR)/utcksum.o\
 	$(OBJDIR)/utcopy.o\
 	$(OBJDIR)/utdebug.o\
 	$(OBJDIR)/utdecode.o\
@@ -290,6 +291,12 @@ CFLAGS += \
     -I$(ASL_COMPILER)\
     -I$(OBJDIR)
 
+ifeq ($(NOWERROR),TRUE)
+WERROR_FLAGS=
+else
+WERROR_FLAGS=-Werror
+endif
+
 #
 # Common Rules
 #
@@ -360,32 +367,32 @@ $(OBJDIR)/prparserparse.c $(OBJDIR)/prparser.y.h :       $(ASL_COMPILER)/prparse
 #
 $(OBJDIR)/aslcompilerlex.o :   $(OBJDIR)/aslcompilerlex.c
 	@echo "- " "Intermediate" $<
-	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<
 
 $(OBJDIR)/aslcompilerparse.o : $(OBJDIR)/aslcompilerparse.c
 	@echo "- " "Intermediate" $<
-	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<
 
 $(OBJDIR)/dtcompilerparserlex.o :      $(OBJDIR)/dtcompilerparserlex.c
 	@echo "- " "Intermediate" $<
-	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<
 
 $(OBJDIR)/dtcompilerparserparse.o :    $(OBJDIR)/dtcompilerparserparse.c
 	@echo "- " "Intermediate" $<
-	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<
 
 $(OBJDIR)/dtparserlex.o :      $(OBJDIR)/dtparserlex.c
 	@echo "- " "Intermediate" $<
-	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<
 
 $(OBJDIR)/dtparserparse.o :    $(OBJDIR)/dtparserparse.c
 	@echo "- " "Intermediate" $<
-	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<
 
 $(OBJDIR)/prparserlex.o :      $(OBJDIR)/prparserlex.c
 	@echo "- " "Intermediate" $<
-	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<
 
 $(OBJDIR)/prparserparse.o :    $(OBJDIR)/prparserparse.c
 	@echo "- " "Intermediate" $<
-	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<
+	@$(CC) -c $(CFLAGS) -Wall $(WERROR_FLAGS) -o$@ $<
